// src/routes/investmentTypeRoutes.js
const express = require('express');
const router = express.Router();
const investmentTypeController = require('../controllers/investmentTypeController');

// Rotas POST, PUT, DELETE já existentes...
// Exemplo:
router.post('/investment-types', investmentTypeController.createInvestmentType);
router.put('/investment-types/:id', investmentTypeController.updateInvestmentType);
router.delete('/investment-types/:id', investmentTypeController.deleteInvestmentType);

// Novas rotas de GET
router.get('/investment-types', investmentTypeController.getAllInvestmentTypes);
router.get('/investment-types/:id', investmentTypeController.getInvestmentTypeById);

module.exports = router;
